XStringToKeysym(3X11)

NAME
XStringToKeysym, XKeysymToString, XKeycodeToKeysym, XKeysymToKeycode - convert keysyms

SYNTAX
KeySym XStringToKeysym(string)
      char *string;

char *XKeysymToString(keysym)
      KeySym keysym;

KeySym XKeycodeToKeysym(display, keycode, index)
      Display *display;
      KeyCode keycode;
      int index;

KeyCode XKeysymToKeycode(display, keysym)
      Display *display;
      KeySym keysym;

ARGUMENTS

display
    Specifies the connection to the X server.

index
    Specifies the element of KeyCode vector.

keycode
    Specifies the KeyCode.

keysym
    Specifies the KeySym that is to be searched for or converted.

string
    Specifies the name of the KeySym that is to be converted.

DESCRIPTION
Standard KeySym names are obtained from by removing the XK_ prefix from each name. KeySyms that are not part of the Xlib standard also may be obtained with this function. Note that the set of KeySysms that are available in this manner and the mechanisms by which Xlib obtains them is implementation dependent.

If the keysym name is not in the Host Portable Character Encoding the result is implementation dependent. If the specified string does not match a valid KeySym, returns

The returned string is in a static area and must not be modified. The returned string is in the Host Portable Character Encoding. If the specified KeySym is not defined, returns a NULL.

The function uses internal Xlib tables and returns the KeySym defined for the specified KeyCode and the element of the KeyCode vector. If no symbol is defined, returns

If the specified KeySym is not defined for any KeyCode, returns zero.

SEE ALSO
XLookupKeysym(3X11)
Xlib - C Language X Interface